Memcached::cas
Memcached::__construct
Memcached
PHP Manual

# Memcached::casByKey

(PECL memcached >= 0.1.0)

Memcached::casByKey — Compare and swap an item on a specific server

### Beschreibung

public bool Memcached::casByKey ( float `$cas_token` , string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::casByKey() is functionally equivalent to Memcached::cas(), except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parameter-Liste

`cas_token`

  Unique value associated with the existing item. Generated by memcache.

`server_key`

  Ein Schlüssel, der den Server bestimmt, auf dem die Daten abgelegt werden sollen.

`key`

  Der Schlüssel, unter dem der Wert abgelegt werden soll.

`value`

  Der zu speichernde Wert.

`expiration`

  Die Verfallszeit, Vorgabewert ist 0. Siehe Verfallszeiten für weiterführende Informationen.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben. The Memcached::getResultCode() will return `Memcached::RES_DATA_EXISTS` if the item you are trying to store has been modified since you last fetched it.

### Siehe auch

- Memcached::cas() - Compare and swap an item

Memcached::cas
Memcached::__construct
Memcached
PHP Manual